> For the complete documentation index, see [llms.txt](https://academy.shade.inc/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://academy.shade.inc/developers/public.md).

# Public

## GET /public/app/{os\_}/{arch}/{version}

> Get the latest version of the app as a download url 307

```json
{"openapi":"3.1.0","info":{"title":"shade","version":"dev"},"paths":{"/public/app/{os_}/{arch}/{version}":{"get":{"tags":["public"],"summary":"Get the latest version of the app as a download url 307","operationId":"get_latest_app_version_public_app__os____arch___version__get","parameters":[{"name":"os_","in":"path","required":true,"schema":{"$ref":"#/components/schemas/OperatingSystem"}},{"name":"arch","in":"path","required":true,"schema":{"type":"string","title":"Arch"}},{"name":"version","in":"path","required":true,"schema":{"type":"string","title":"Version"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"404":{"description":"Not found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"OperatingSystem":{"type":"string","enum":["Windows","Linux","Debian","Fedora","Darwin"],"title":"OperatingSystem","description":"Operating System Enum from the result of platform.system()"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}
```

## GET /public/drive-templates

> Get all public drive templates

```json
{"openapi":"3.1.0","info":{"title":"shade","version":"dev"},"paths":{"/public/drive-templates":{"get":{"tags":["public"],"summary":"Get all public drive templates","operationId":"get_all_public_drive_templates_route_public_drive_templates_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/DriveTemplateDTO"},"type":"array","title":"Response Get All Public Drive Templates Route Public Drive Templates Get"}}}},"404":{"description":"Not found"}}}}},"components":{"schemas":{"DriveTemplateDTO":{"properties":{"id":{"type":"string","title":"Id"},"name":{"type":"string","title":"Name"},"description":{"type":"string","title":"Description"},"dynamic_views":{"items":{"$ref":"#/components/schemas/DynamicView"},"type":"array","title":"Dynamic Views"},"metadata_attributes":{"items":{"$ref":"#/components/schemas/MetadataAttribute-Output"},"type":"array","title":"Metadata Attributes"}},"type":"object","required":["id","name","description","dynamic_views","metadata_attributes"],"title":"DriveTemplateDTO"},"DynamicView":{"properties":{"id":{"type":"string","format":"uuid","title":"Id"},"name":{"type":"string","title":"Name"},"filters":{"anyOf":[{"items":{"$ref":"#/components/schemas/AddedFilterForStorage"},"type":"array"},{"type":"null"}],"title":"Filters"},"columns":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"title":"Columns"},"user_id":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"User Id"},"is_locked":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Is Locked"},"is_private":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Is Private"},"display_settings":{"anyOf":[{"$ref":"#/components/schemas/DynamicViewDisplaySettings"},{"type":"null"}]},"icon":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Icon"},"icon_type":{"anyOf":[{"$ref":"#/components/schemas/DynamicViewIconType"},{"type":"null"}]},"sort":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Sort"}},"type":"object","required":["id","name"],"title":"DynamicView"},"AddedFilterForStorage":{"properties":{"id":{"title":"Id"},"options":{"items":{"$ref":"#/components/schemas/FilterOption"},"type":"array","title":"Options"},"clause":{"$ref":"#/components/schemas/FilterClauseVal"},"ignore_options":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Ignore Options"}},"type":"object","required":["id","options","clause"],"title":"AddedFilterForStorage"},"FilterOption":{"properties":{"client_val":{"type":"string","title":"Client Val"},"server_val":{"type":"string","title":"Server Val"},"icon":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Icon"}},"type":"object","required":["client_val","server_val"],"title":"FilterOption"},"FilterClauseVal":{"type":"string","enum":["is","is any of","is not","is true","is false","is not true","is not false","has","doesn't have","before","after","between","is directly in","is under","is not in","<","< any of","<=","<= any of",">","> any of",">=",">= any of","hasn't started","in progress of","completed","failed","includes","does not include","contains","does not contain","does not start with","starts with","end with","is empty","is not empty"],"title":"FilterClauseVal","description":"Filter Clause Values Enum. Contains all filter clause values"},"DynamicViewDisplaySettings":{"properties":{"card_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Card Size"},"thumbnail_view":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Thumbnail View"},"view":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"View"},"metadata_attribute_ids":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"title":"Metadata Attribute Ids"},"flatten_directories":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Flatten Directories"}},"type":"object","title":"DynamicViewDisplaySettings"},"DynamicViewIconType":{"type":"string","enum":["color","emoji","url"],"title":"DynamicViewIconType"},"MetadataAttribute-Output":{"properties":{"id":{"type":"string","title":"Id"},"name":{"type":"string","title":"Name"},"keys":{"items":{"type":"string"},"type":"array","title":"Keys"},"value_type":{"$ref":"#/components/schemas/MetadataAttributeType"},"description":{"type":"string","title":"Description"},"location":{"$ref":"#/components/schemas/MetadataAttributeLocation"},"default":{"anyOf":[{},{"type":"null"}],"title":"Default"},"group":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Group"},"options":{"anyOf":[{"items":{"$ref":"#/components/schemas/MetadataAttributeSelectOption"},"type":"array"},{"type":"null"}],"title":"Options"},"add_new_options":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Add New Options","default":true},"restrict_to_types":{"anyOf":[{"items":{"$ref":"#/components/schemas/AssetType"},"type":"array"},{"type":"null"}],"title":"Restrict To Types"},"automated":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Automated","default":false},"prompt":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Prompt"},"archived":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Archived","default":false},"locked":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Locked","default":false}},"type":"object","required":["id","name","keys","value_type","description","location"],"title":"MetadataAttribute"},"MetadataAttributeType":{"type":"string","enum":["str","single_select","multi_select","float","int","bool","datetime","rating"],"title":"MetadataAttributeType"},"MetadataAttributeLocation":{"type":"string","enum":["system","custom","asset"],"title":"MetadataAttributeLocation"},"MetadataAttributeSelectOption":{"properties":{"id":{"type":"string","title":"Id"},"name":{"type":"string","title":"Name"},"color":{"$ref":"#/components/schemas/MetadataAttributeSelectOptionColor"},"user":{"type":"boolean","title":"User"},"archived":{"type":"boolean","title":"Archived","default":false}},"type":"object","required":["id","name","color","user"],"title":"MetadataAttributeSelectOption"},"MetadataAttributeSelectOptionColor":{"type":"string","enum":["pink","red","yellow","light_green","dark_green","light_blue","dark_blue","purple"],"title":"MetadataAttributeSelectOptionColor"},"AssetType":{"type":"string","enum":["IMAGE","VIDEO","AUDIO","DOCUMENT","HDR","HDRI","PHOTOSHOP","ILLUSTRATOR","EXR","OBJECT","VECTOR","OTHER","MAYA","MAX","BLENDER","HOUDINI","UNREAL","UNITY","AFTER_EFFECTS","MOGRT"],"title":"AssetType"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://academy.shade.inc/developers/public.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
